/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.jodadatetimetotimestamp;

import org.joda.time.DateTime;
import org.joda.time.DateTimeZone;
import java.sql.Timestamp;
import java.time.ZonedDateTime;

/**
 *
 * @author omozegieaziegbe
 */
public class JodaDateTimeToTimestamp {

    public static void main(String[] args) {
        
        // Current time as ZonedDateTime
        ZonedDateTime zonedDateTime = ZonedDateTime.now();
        
        // Current time as Joda-Time DateTime
        DateTime jodaDateTime = new DateTime(zonedDateTime.toInstant().toEpochMilli());

        // Convert Joda-Time DateTime to java.sql.Timestamp
        Timestamp timestamp = new Timestamp(jodaDateTime.getMillis());

        // Print results
        System.out.println("Joda-Time DateTime: " + jodaDateTime);
        System.out.println("Timestamp: " + timestamp);
    }
}
