/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.converttozoneddatetimeusingjodatime;


import java.sql.Timestamp;
import org.joda.time.DateTime;
import org.joda.time.DateTimeZone;
import java.time.ZoneId;
import java.time.ZonedDateTime;
/**
 *
 * @author omozegieaziegbe
 */
public class ConvertToZonedDateTimeUsingJodaTime {

    public static void main(String[] args) {
        // Current time as Timestamp
        Timestamp timestamp = new Timestamp(System.currentTimeMillis());

        // Convert to Joda-Time DateTime
        DateTime jodaDateTime = new DateTime(timestamp.getTime());

        // Convert Joda-Time DateTime to java.time.ZonedDateTime
        ZonedDateTime zonedDateTime = jodaDateTime.toGregorianCalendar().toZonedDateTime();

        // Print results
        System.out.println("Timestamp: " + timestamp);
        System.out.println("Joda-Time DateTime: " + jodaDateTime);
        System.out.println("ZonedDateTime: " + zonedDateTime);
    }
}
