/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.timestamptozoneddatetime;

import java.sql.Timestamp;
import java.time.Instant;
import java.time.ZoneId;
import java.time.ZonedDateTime;

/**
 *
 * @author omozegieaziegbe
 */
public class TimeStampToZonedDateTime {

    public static void main(String[] args) {
        // Current time as Timestamp
        Timestamp timestamp = new Timestamp(System.currentTimeMillis());

        // Convert to Instant
        Instant instant = timestamp.toInstant();

        // Convert Instant to ZonedDateTime with system default time zone
        ZonedDateTime zonedDateTime = instant.atZone(ZoneId.systemDefault());

        // Print results
        System.out.println("Timestamp: " + timestamp);
        System.out.println("ZonedDateTime: " + zonedDateTime);
        
    }
}
